DtDtsDataTypeToAttributeList(library call)

NAME
DtDtsDataTypeToAttributeList — get a list of attributes for a data type

SYNOPSIS

#include &<Dt/Dts.h>
DtDtsAttribute **DtDtsDataTypeToAttributeList(
const char *datatype,
const char *opt_name);

DESCRIPTION

The DtDtsDataTypeToAttributeList function returns a list of attributes for a data type.

The datatype argument is a pointer to a data type name string.

The opt_name argument can be used to specify a name to be associated with the data type. If the opt_name argument is not NULL, it is used as a pseudo file name in typing; otherwise, certain attributes may be returned as NULL because the filename components could not be determined.

RETURN VALUE

Upon successful completion, the DtDtsDataTypeToAttributeList function returns a NULL-terminated array of pointers of *DtDtsAttribute, or NULL if no value could be determined.

APPLICATION USAGE

The application should use the DtDtsFreeAttributeList(3) function to release the memory for the returned value.

The opt_name argument is useful when the attribute being returned contains a modifier string that depends on having a file name included. For example, if the INSTANCE_ICON attribute had the value %name%.icon, opt_name would be used to derive the %name% portion of the attribute value. See dtdtsfile(4).

SEE ALSO

Dt/Dts.h, DtDtsLoadDataTypes(3), DtDtsFreeAttributeList(3).